Bug 560628 - KMS: Disturbed display with 2.6.32.x / 2.6.33.x
KMS: Disturbed display with 2.6.32.x / 2.6.33.x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2010-02-01 08:00 EST by Mamoru TASAKA
Modified: 2010-04-28 08:55 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-23 21:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (31.60 KB, text/plain)
2010-02-01 08:01 EST, Mamoru TASAKA
no flags Details
xorg.conf (313 bytes, text/plain)
2010-02-01 08:02 EST, Mamoru TASAKA
no flags Details
Xorg.0.log (36.32 KB, text/plain)
2010-02-01 08:02 EST, Mamoru TASAKA
no flags Details
dmesg (32.98 KB, text/plain)
2010-04-08 04:46 EDT, Mamoru TASAKA
no flags Details
lspci (1.78 KB, text/plain)
2010-04-08 04:47 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2010-02-01 08:00:12 EST
Description of problem:
When booting with 2.6.32.x (latest tried one is 2.6.32.7),
when text lines are scrolled on CUI or when I move mouse cursor
on GUI display gets very disturbed.

Version-Release number of selected component (if applicable):
kernel-2.6.32.7-37.fc12.i686
xorg-x11-server-Xorg-1.7.4-1.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686


How reproducible:
100%

Steps to Reproduce:
1. Reboot with kernel 2.6.32.x with runlevel 3
2. init 5
3.
  
Actual results:
Both with CUI and with GUI, display gets very disturbed.

Expected results:
This issue does not appear with kernel-2.6.31.12-174.2.3.fc12.i686

Additional info:
Comment 1 Mamoru TASAKA 2010-02-01 08:01:03 EST
Created attachment 388029 [details]
dmesg
Comment 2 Mamoru TASAKA 2010-02-01 08:02:14 EST
Created attachment 388030 [details]
xorg.conf
Comment 3 Mamoru TASAKA 2010-02-01 08:02:51 EST
Created attachment 388031 [details]
Xorg.0.log
Comment 4 Jérôme Audu 2010-02-01 15:36:25 EST
I have the same problem on my Aspire One, but 
I can fix it using "i915.powersave=0" option from kernel boot

I never have this issue on another PC (P4-desktop) with Intel GFX adaptor
Comment 5 Mamoru TASAKA 2010-02-02 14:20:49 EST
The issue I am seeing could not be solved even with
adding "i915.powersave=0"
Comment 6 Mamoru TASAKA 2010-02-20 08:12:11 EST
Still observes this issue with kernel-2.6.32.8-58.fc12.i686.
Comment 7 Mamoru TASAKA 2010-03-13 10:19:02 EST
Still observes this issue with kernel-2.6.32.9-70.fc12.i686
2.6.31.x kernel worked fine.
Comment 8 Mamoru TASAKA 2010-04-08 04:45:44 EDT
No good even with 2.6.33.2-38.fc13.i686.
Both CUI and GUI display are seriously disturbed.
Comment 9 Mamoru TASAKA 2010-04-08 04:46:38 EDT
Created attachment 405228 [details]
dmesg
Comment 10 Mamoru TASAKA 2010-04-08 04:47:00 EDT
Created attachment 405229 [details]
lspci
Comment 11 Mamoru TASAKA 2010-04-08 04:48:39 EDT
Once moving to F13Blocker. Please triage.
Comment 12 Mamoru TASAKA 2010-04-15 09:46:20 EDT
Still no good with kernel-2.6.33.2-47.fc13.i686

Note that I found that with nomodeset this issue disappears
(with 2.6.31.12-174.2.3.fc12.i686 this issue didn't occur even with KMS)
Comment 13 Walter Francis 2010-04-15 10:36:12 EDT
I cannot even start X with nomodeset, Xorg says "(EE) Screen(s) found but none have a usable configuration" and fails.  Removing "nomodeset" and I can at least run X.
Comment 14 Mamoru TASAKA 2010-04-15 10:57:00 EDT
(In reply to comment #13)
> I cannot even start X with nomodeset, Xorg says "(EE) Screen(s) found but none
> have a usable configuration" and fails.  Removing "nomodeset" and I can at
> least run X.    

Ah, yes, while with nomodeset this issue disappears "on CUI",
this time X no longer launches with intel and with nomodeset I have to use
vesa.
Comment 15 James Laska 2010-04-16 15:19:31 EDT
ajax: do you have any thoughts on the state of this bug.  Is "852GM/855GM" expected to work for Fedora 13?
Comment 16 Walter Francis 2010-04-16 15:30:38 EDT
So far for me, my Intel 855GM laptop is working okay.  I was told that "nomodeset" is no longer suppported, so once I stopped using it, it is okay.  Compiz even seems to work somewhat, but there are issues with redrawing the screen, but that's for another bug.

General experience with F13 on this laptop with 855GM is very much like I had with F11 so far, video is a little slow but overall works okay on the primary display.  My external monitor freaks out, so I'll look into that one also as a separate bug.
Comment 17 Adam Williamson 2010-04-16 15:56:44 EDT
ajax thinks he has a potential fix for this, mamoru, he will try and have a test kernel build available by the start of next week.

we're unsure of how wide the impact of this bug is so far so we're not sure if we'll accept it as a blocker, but we'll leave it on the list for now so we can track it.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Mamoru TASAKA 2010-04-19 11:21:25 EDT
I would like to test once possible fix is included in updates-testing
kernel.
Comment 19 Adam Jackson 2010-04-20 11:14:52 EDT
Try kernel-2.6.33.2-57.fc13.  Should be in testing shortly, but is available in koji now.
Comment 20 Mamoru TASAKA 2010-04-20 12:20:13 EDT
I will keep testing, however as far as I tried now I am happy with

kernel-2.6.33.2-57.fc13.i686
xorg-x11-drv-intel-2.11.0-1.fc13.i686
xorg-x11-server-Xorg-1.8.0-4.fc13.i686

!!
Comment 21 Adam Jackson 2010-04-20 14:57:51 EDT
Excellent, thanks!
Comment 22 Adam Williamson 2010-04-23 14:11:58 EDT
Mamoru, is it still working okay for you? If so I think we can consider this one fixed in -57. Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 Mamoru TASAKA 2010-04-23 14:36:10 EDT
Well, I am using -57 for 3 days and it is still working.
Comment 24 Adam Williamson 2010-04-23 21:16:20 EDT
I think that's good enough to consider it fixed for now. Please re-open if you observe the issue again. Thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 25 John Paul Adrian Glaubitz 2010-04-28 02:54:30 EDT
Hi guys,

can anyone point me to a LiveCD ISO which contains the updated kernel -57? I have participated in the Fedora 13 graphics test day and the Thinkpad X30 (Type: 2672-47G) I tested was the only machine I couldn't get to pass the basic test. I guess that it's related to that bug but I'm not sure. I can only say that kernel 2.6.31 and 2.6.32 and newer are broken.

Anyone has a LiveCD image? I cannot reinstall the machine, it's not mine.


Thanks,

Adrian
Comment 26 James Laska 2010-04-28 08:46:25 EDT
(In reply to comment #25)
> can anyone point me to a LiveCD ISO which contains the updated kernel -57?

Live images are posted daily to http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

I expect that a live image with the -57 kernel will be landing there shortly.
Comment 27 John Paul Adrian Glaubitz 2010-04-28 08:55:12 EDT
> Live images are posted daily to
> http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/
> 
> I expect that a live image with the -57 kernel will be landing there shortly.    

Great, thanks for the link! I will test and post the results ASAP. I will be on holidays the next two weeks so I guess the images will be available when I return.

Thanks,

Adrian

Note You need to log in before you can comment on or make changes to this bug.